KDE 4.7 PyKDE API Reference

- KDE's Python API

# BookmarkManager Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

This class is responsible for loading the book mark objects from the files and various book mark operations

## Signals

| bookmarksChanged ()

## Methods

| __init__ (self, QObject parent=0)
| addBookmark (self, Marble.GeoDataPlacemark bookmark, QString folderName)
| addNewBookmarkFolder (self, QString folder)
QString | bookmarkFile (self)
bool | loadFile (self, QString relativeFilePath)
| removeAllBookmarks (self)

## Signal Documentation

bookmarksChanged | ( |  | ) |

One or more bookmarks were added or removed

Signal syntax:
  `QObject.connect(source, SIGNAL("bookmarksChanged()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

addBookmark | ( | self, |
|  | Marble.GeoDataPlacemark | bookmark,
|  | QString | folderName
| ) |  |  |

add bookmark in a folder

Parameters:

  | bookmark | bookmark to be added
  | folderName | folder name in which bookmark to be added

addNewBookmarkFolder | ( | self, |
|  | QString | folder
| ) |  |  |

add a folder

Parameters:

  | folder | name of folder to be created

QString bookmarkFile | ( |  | self ) |

return bookmark file path

bool loadFile | ( | self, |
|  | QString | relativeFilePath
| ) |  |  |

load bookmark file as GeoDataDocument and return true if loaded successfully else false

Parameters:

  | relativeFilePath | relative path of bookmark file

removeAllBookmarks | ( |  | self ) |

remove all folders and bookmarks except default folder